/**
 * (c) Atos IT Solutions and Services GmbH, 2011.
 * Licensed under EUPL 1.1
 */
package com.sag.osami.api.context;

/**
 * This interface provides a method in OSGi environments to define the ID of the ContextStore. Simply deploy a service implementing this interface before
 * starting the ContextStore.
 */
public interface IContextStoreID {
	/**
	 * Returns the ID the ContextStore will configure to use on initialization
	 * 
	 * @return the store ID
	 */
	String storeID();
}
